=====================
Changes for GloboNote
=====================
-------
v1.6 (Requires Java 8 or higher)
-------
Features:
-Portable mode
 -Settings are saved to GloboNote repository instead of system registry
 -Configure portable/non-portable mode in General Preferences
-Backup and restore GloboNote
 -Automatically backup at specific time or interval
 -Backup/Restore Manager
 -Configure backup settings in General Preferences
 -Added program argument '-recovery [backupPath]' to run recovery mode
-Copy-pasted note content to external application will also include list,
 indents and checkboxes
-Exported plaintext note will also include list, indent and checkboxes
-Added support to show roman numerals in Numbered List
-Added "Remind me Next Week" option in alarmed note
-Added a prompt to confirm whether to continue to display notes when opening
 lots of notes at same time (Show All Notes)
Updates:
-Added support to Java 9 and above
-Improved user experience of setting alarm time spinner
-Fixed log files not created when using macOS
-Fixed Font Dialog is returning incorrect font size
-Fixed numbered list is showing incorrect numbering when indenting
-Fixes related to copy-paste indented content
-Fixed note changes such as indent, numbered/bullet list are not getting saved
-Fixed note alarm sound cannot finish playing
-Minor UI fixes i.e. alarm settings, general preferences
-Updated derby(DB) and other 3rd party libraries
NOTE: Starting GloboNote v1.6, minimum required JRE version is Java 8+

-------
v1.5.2
-------
-Shorten 'Remind me Later' text of alarm popup dialog
-Fixed Note Manager group filter does not refresh when changed
-Updated Note Manager UI to make it look nicer in macOS
-Fixed default note alarm sound does not play in macOS
-Fixed gradient background does not paint correctly in macOS
-Replaced macOS global shortcut keys to avoid conflicts with system keys
-Use native file dialog when using macOS
-Updated some icons
-Fixed blurry text in macOS

-------
v1.5.1
-------
-Added option to automatically mark note as completed when hiding alarmed note
-Added option to roll down note when note is alarming
-Added quick view of visible/parked notes (Ctrl-Alt-D)
-Added option to disable remove note from task switcher (Preferences -> Advanced)
-Changed button text of alarm status popup dialog
-Changed how often it will notify user when there is update
-Fixed alarmed note keep reminding even it was rescheduled
-Fixed several bugs in alarmed note
-Fixed search window delete note function not updating correctly
-Fixed Note Manager not showing context menu properly in MacOS
-Fixed Note Manager not selecting anything when selected note was moved to different group
-Fixed Note Manager does not display empty list view on initial load
-Updated Spanish and German translations (Thanks to Christian and Rodrigo)

-------
v1.5
-------
Features:
-New features in Note Manager
 -Added Recent Activity filter. List notes by recently created, modified, hide, read
 -Added support multiple notes selection by dragging mouse on right side of list
 -Added Drag and Drop support to reassign note's group
 -Added support sorting of results. Sort by title, date, read count
 -Added option to display subgroup notes
 -Added context menu in Group filter. Allow user to add/delete/modify group
 -Added context menu in search result
 -Automatically update note count, result list and content when note was changed
 -Added support to open notes in Tab
-Improved Calculator tool (F2). Support variables and more functions
-Support global hotkeys. Ex. Create note by pressing Ctrl-Alt-N anywhere in desktop
-Allow customize keyboard shortcuts (General Preferences > Keys)
-Added global shortcut key Ctrl-Alt-V that will paste clipboard data to
 last active note (suggested by Carsten)
-Added shortcut to bring last active note to front (Ctrl-Alt-B)
-New UI for search results. Show thumbnail image, more contents & highlight matched word.
-Allow user to assign shortcut keys on document styles (H1 - H6)
-Reimplemented Note Alarms
 -Set auto stop snooze after a number of snooze timeouts
 -Revised how snooze and recur alarm work together
 -Allow user to ignore alarmed note, remind again or mark as completed

Updates:
-Improved responsiveness of Search Note window when large results are displayed.
-Added support to display checkbox in search result content
-Fixed search input field sometime not painted correctly
-Optimize query that check to see if search index is empty
-Fixed note sometimes does not display anything if contain checkbox
-Revised behavior of tab and shift tab key on checkbox line to indent/de-indent line
-Fixed note's date not updated when next day started
-Fixed last sub-bullet list not displayed correctly
-Fixed recurring alarms might have incorrect next alarm time
-Updated alarm icon tooltips to provide more useful alarm information
-Fixed note count value is incorrect after modify group
-Fixed bug that allow user to disable password protection of Group
-Make Note Manager filter tree to allow only single selection
-Changed Note Manager state save format to JSON from XML
-Fixed Calculator tool cannot calculate grouped numbers
-Make calculate function to highlight result if expression was highlighted
-Replaced matheclipse-parser with EvalEx library used in Calculator tool
-Fixed General Preferences does not show change repository dialog properly
-Added code to handle null exception in NoteBottomBar
-Replaced shortcut keys that can be triggered using "Alt-Shift-*" to "Ctrl-Alt-*"
-Move out some process and make it create on demand to improve startup speed
-Removed desktop/sticky note windows from task switcher and application
 list (require Java 7+)
-Updated GloboNote.exe to fixed java version check issue where the update number
 was greater than 99
-Updated Mac release package to support Oracle's Java
-Updated German and Spanish translations (Thanks to Christian and Rodrigo)

-------
v1.4.2
-------
-Added Arabic translation (Thanks to Salem)
-Fixed Windows launcher (GloboNote.exe) for users running Java update greater than 99

-------
v1.4.1
-------
Features:
-Added function to create new note from clipboard
-Added document styles (H1 - H6)
-Added Italian translation (Thanks to Franz)

Updates:
-Fixed to avoid alarming note to get focus when it pops up
-Fixed issue that prevent user to create note and search note.
-Fixed some area on title bar that does not respond to move note action
-Adjusted how NoteWindow determine caret position change when note was modified
-Added Shift-Enter key support to auto indent next paragraph if previous
 paragraph is a checkbox or list
-Modified the behavior of Enter key on indented paragraph
-Fixed keyboard shortcuts for different OS
-Fixed bug that prevent note to roll up when clicking on title bar
-Updated derby db version to 10.10.2.0
-Fixed Increase Font Size was not disabled when note was locked
-Fixed bug that does not prompt error message when GloboNote was opened more 
 than once
-Improved text field for setting alarm time in Alarm Setting window. 
 Use left or right key to move between hour/minutes.
-Fixed bug that allow some keys to modify content of locked notes
-Make Control Bar buttons easier to click
-Fixed Undo/Redo function on style changes
-Fixed behavior of ENTER key on empty list and checkbox
-Removed drop shadow effect for notes that are not set to display always on top

-------
v1.4
-------
Features:
-Auto assign group. Note will be assigned to a group automatically when
 user change note profile/theme.
-Added resize area at bottom right of the note. Resizing note is easier by 
 dragging that area.
-"Select Group" window will display note count of each group.
-Protect note/group with a password
-Added support to bullet and numbered list
-Note Manager window. Viewing notes is easier than before. (preview only)

Updates:
-Fixed bug that removes checkbox if the line ends with image or link
-Fixed bug that prevent user to create new note and search note.
-Avoid freezing the note when launching an application or opening a file.
-Removed extra border painted in note when using GTK+ Look and Feel in Linux.
-Added drop shadow to note
-Updated About dialog. Added social network links
-Moved some user configuration to globonote.properties and moved all logging 
 configuration to logging.properties
-Fixed when undoing the Attach file/image action user need to undo twice.
-Fixed minimized Search window does not show properly when clicked again. 
-Updated how Search Window will display note that is already visible.
 First attempt will shake the note then next attempt will move the note
 next to Search Window.
-Disabled auto check update for third-party library (scheduler) 
-Updated Find and Replace window to use selected text as default find word.
-Updated calculate function (F2 key) to support grouped numbers 
 (Ex. 1,300.00+200.00=1,500.00)
-Updated how you can edit note's title. Change note's title on title bar 
 even without pressing enter. To cancel editing of title, press ESC key.
-Fixed Search Window is displaying "Searching..." status even it is not searching.
-Reduced amount of memory used in Search.
-Fixed bug that remove checkbox when you hit enter at the start of line
-Added code to prevent alarming note from being edited accidentally when raised to front.
-Added code to auto detect network proxy settings
-Fixed Attach File Dialog to prompt a warning message when no file was selected.
-Added checking to avoid checkbox being added if paragraph is empty 
-Changed the directory that will be backup during DB update. It will backup data folder.
-Updated Spanish and German translations (Thanks Rodrigo and Christian)
 
-------
v1.3.2
-------
-Localized in German (Thanks to Christian Fechteler)
-Localized in Spanish (Thanks to Rodrigo Farias)
-Fixed UI bugs when using Linux Mint (Thanks to Christian Fechteler) 
-Updated language file to support internalization

-------
v1.3.1
-------
Updates:
-Added Mac package. User can easily launch GloboNote on Mac.
-GloboNote will use system look and feel by default.
-Adjust Checkbox's vertical alignment in editor. Lower the alignment a bit.
-Updated paragraph alignment when Checkbox was added. Multiline text will
 now align properly.
-Changed long press x button on note will display Delete, Hide, Cancel options
 instead of Yes and No option.
-Added Simplified Chinese and Traditional Chinese language translation (partial)
-Added Delete Note right click menu item in Search Window
-Fixed "Remove Text Style" action should not remove checkbox
-Fixed typo in Note's menu
-Bug fixes to let GloboNote runs on Mac
-Updated tray icon for Mac users

Note: 
For Mac OS X Mountain Lion users, you need to change security settings to 
allow any application to run before starting GloboNote.
Open Security and Privacy -> Set Allow applications downloaded from Anywhere.
(You can change to default setting after running the first time)

-------
v1.3
-------
New Features:
-Create Checklist. Insert checkboxes on note (Ctrl-Shift-C to create checkbox).
-Added Close and Quick Menu icon on note's Title Bar. Easier hide or delete note.
-Support paragraph alignment. Align the content left, right, center or justify.
-Added feature to shake alarming notes that are inactive.
-Allow user to roll up/down note by clicking the title bar.
-Rich Text Formatting. Change font, color and size easily using Title Bar's Menu 
-Copy and paste text from note to note without losing text styles/formatting
-Added shortcut menu to toggle Roll Up/Roll Down/Compact Roll Up/Compact Roll Down
-Added option to automatically resize inserted images
-Added right click and double click function on images. Double click to open the
 image using native image viewer. Right click will display a popup menu to resize
 or copy image URL.

Updates:
-Added shortcut key for removing note styles/formatting (Ctrl-\)
-Fixed user should not allowed to remove file link when note was locked
-Fixed conflict global shortcut key for show all note action
-Changed the spinner's minimum snooze timeout and stop snooze time to 1 minute instead of 0.
-Fixed Insert Image does not display image when URL starts with http/https/ftp
-Fixed Attach File does not accept URL starts with http/https/ftp
-Fixed note's changes not saved when user increase/decrease font size
-Fixed undo Remove Link need to execute twice to undo changes
-Fixed Make size of rolled up note should not appear in note preferences when using
 native UI
-Fixed undo/redo should be disabled when note was locked
-Improved UI of font dialog
-Added code to use system proxy
-Renamed predefined note templates(skins/profiles) name
-Updated how GloboNote check for new version
-Updated how the date will be displayed on note's title bar. 
 It will display Monday, Tuesday, etc. for notes that are created within the week.


-------
v1.2.4
-------
New Features:
-Added option to make the size of each note smaller when rolled up (in General Preference or Note Preference)
-Added option to adjust inactive note's transparency level (For users using Java 6u10 above).
Updates:
-Increased number of hotkeys (Alt+1 ~ 8) used to assign note's skin
-Updated Polish translation (Thanks to Marek Marecki)
-Fixed UI resources not released properly
-Fixed issues when using Java 7

-------
v1.2.3
-------
New Features:
-Added option to make the size of all rolled up note smaller
Updates:
-Added Polish translation (Thanks to Marek Marecki)
-Changed the max number of fraction digits to display in Calculator tool.
-Fixed bug that prevent recurring alarm not alarming when parked
-Minor bug fixes

-------
v1.2.2
-------
-Fixed a bug that prevent GloboNote from creating new note and displaying menu

-------
v1.2.1
-------
-Make Find/Replace dialog to highlight previous text when focused
-Added code to display error message when fail to open file attachment
-Added code to scroll the note to last edit position when the note was displayed
-Added code to display note status(Locked, Alarmed) in search result
-Added code to automatically check for updates
-Changed default alarm snooze timeout to 5 minutes
-Reduced number of threads used by the scheduler
-Fixed UI action for alarm snooze 10 minutes not working
-Fixed Find/Replace not returning to previous matched position when succeeding 
 find did not match
-Fixed problem that may cause alarming note to display incorrect content during startup
-Fixed Search window UI not painting correctly 
-Updated derby(DB) and quartz(Scheduler) library

-------
 v1.2
-------
New Features:
-Set Alarms. Remind yourself of important events. Set recurring alarm,
 play custom sound(*.wav, *.aiff or *.mp3).
-Build-in Calculator. Enter the calculation in the note then press F2
-Attach files on note then double click to launch it
-Paste image(screenshot) from clipboard to note
-Improved note's visual appearance with gradient painting, 
 rounded corners(JRE 6 update 10 and above only)
-Switch/Move GloboNote repository. Different User Account/OS can share one
 GloboNote repository.
-Print Note
Updates:
-Added option to set storage location for fresh install
-Added option to use thinner border size for highlighted note
-Added preset note colors(Yellow, Blue, Red, Green, White)
-Added GloboNote menu in note's menu for quick access to create note, search note,
 park note, bring desktop note to front.
-Added check for updates when About GloboNote window was opened.
-Fixed title/body foreground color(BLACK) not updating in Note Preference 
 when changing profile
-Fixed problem in undo/redo
-Fixed errors when moving note
-Fixed General Preference did not select the correct look and feel when changed
-Changed default settings for note. Turn off highlight active note, turn off
 paint note border, note color.
-Bug fixes

--------
 v1.1.1
--------
-Fixed problem that make GloboNote stop working when started with no existing notes

-------
 v1.1
-------
New Features:
-Quick access to recently used groups. Recently used groups are listed in 
 "Assign to Group" menu.
-Highlight active note. Display a border to the currently-active note
-Assign hotkey(Alt+1~4) to saved profiles. Change note's color, font, etc. using 
 the assigned key.
-Undo/Redo text editing.
-Find/Replace the content of the note. Support incremental search.
-Search Notes
-Support for URLs handling. (Ctrl-)Click on the URL and the appropriate
 application will be launched.
Updates:
-Revised GloboNote editor. Used custom format instead of html format.
-Updated/Added more setting in General Preferences dialog
-Show note preference hotkey changed to Alt-Enter from Ctrl-G
-Updated GloboNote.exe launcher
-Changed the order of Increase Font and Decrease Font and enabled them in edit menu item
-Changed how Select Group's popup menu determines the selected Group
-Added export note to plain text function
-Added right-click function on title bar. Display 'Rename Title' in note's
 popup menu.
-Added Roll Up Note option in Note->Right Click->Property menu 
-Added "Remove Styles" in Edit Text menu. Remove text styles, color, formatting
 of the selected text.
-Added "Right click for more options" label in Select Group dialog
-Added option to overwrite existing preference profile when saving/renaming.
-Increased note content max storage size
-Added code to display warning message when note was not saved.
-Added code to limit the number of character that can be inputted in title bar
-Fixed deleted notes not restored properly
-Fixed currently-active note losses focus after displaying the Assign to Group
 Dialog.
-Fixed problem deleting include files of deleted note(e.g. note contain image)
 when GloboNote was not shutdown properly.
-Fixed global data directory not created in installed path when GloboNote was
 executed outside the directory.
-Fixed problem that will halt GloboNote when pasting text that ends with newline
-Fixed GN trayicon not disabled when GloboNote is still loading.
-Fixed GN trayicon not disabled when Prefrerence or Select Group dialog was displayed.
-Fixed extra whitespaces, newlines not saved correctly.
-Fixed note title not displayed properly when title contain html tags
-Fixed caret not visible after unlocking note
-Updated derby.log and globonote.log output path
-Updated the title bar display for creation date. Display the string "Today"
 or "Yesterday" for creation date instead of actual date.
-Updated cut and copy action. Ctrl-C and Ctrl-X captures only plain text.
 Ctrl-Shift-C and Ctrl-Shift-X captures formatted text.
-Reduced rollup window size.
-Removed rollup option and show border option when using native decoration.
-Used Derby 10.4.2.0
-Some bug fix occur only in Linux
-Some minor changes

-------
 v1.0
-------
First released version